Bug 188443 - scim-libs.ppc not linked against libstdc++so7
scim-libs.ppc not linked against libstdc++so7
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: scim (Show other bugs)
5
powerpc Linux
medium Severity high
: ---
: ---
Assigned To: Jens Petersen
: i18n
Depends On: 188446
Blocks: FC5Update
  Show dependency treegraph
 
Reported: 2006-04-09 23:30 EDT by Jens Petersen
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-01 21:48:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
New specfile (15.28 KB, text/plain)
2006-04-12 07:53 EDT, Ryo Dairiki
no flags Details

  None (edit)
Description Jens Petersen 2006-04-09 23:30:27 EDT
Description of problem:
It seems on ppc the scim libraries (ie scim-libs.ppc) are being linked
against libstdc++ not libstdc++so7 which obvious breaks scim on ppc
completely.

How reproducible:
every build

Steps to Reproduce:
1. rpmbuild --target ppc --rebuild scim.src.rpm
2. rpm -qp --requires scim-libs.ppc.rpm | grep CXXABI
  
Actual results:
libstdc++.so.6(CXXABI_1.3)

Expected results:
libstdc++-20060203.so.7(CXXABI_1.4)

Additional info:
This doesn't seem to affect any other archs.
Comment 1 Jens Petersen 2006-04-10 00:48:01 EDT
AFAICS the problem is basically that libstdc++so7.ppc puts its libs in
/usr/lib/gcc/ppc-redhat-linux/4.2.0-20060203, whereas libstdc++.ppc puts
its libs in /usr/lib/gcc/ppc64-redhat-linux/4.1.0.

So it seems to me libstdc++so7.spec should define and use %{gcc_target_platform}
like gcc.spec does.  In particular  this:

%ifarch ppc
%define gcc_target_platform ppc64-%{_vendor}-%{_target_os}
%endif
Comment 2 Jens Petersen 2006-04-10 07:51:47 EDT
I forgot to mention that scim.ppc is linked against libstdc++so7 though,
and hence this totally breaks scim on ppc.
Comment 3 Ryo Dairiki 2006-04-10 08:10:52 EDT
I've rebuild them on my pc to remove this invalid dependency, but in vain.
Maybe, I could try again later this weekend.
Comment 4 Ryo Dairiki 2006-04-10 08:43:38 EDT
> like gcc.spec does.  In particular  this:
> %ifarch ppc
> %define gcc_target_platform ppc64-%{_vendor}-%{_target_os}
> %endif

I've tested that and got the same result.
Comment 5 Jens Petersen 2006-04-10 19:59:48 EDT
> I've tested that and got the same result.

You want to test something like this in scim.spec:

%ifarch ppc
%define _target_platform ppc64-%{_vendor}-%{_target_os}
%endif
Comment 6 Ryo Dairiki 2006-04-12 07:51:25 EDT
At last, I've solved the problem.
I haven't test this deeply, but I think it works.
Comment 7 Ryo Dairiki 2006-04-12 07:53:31 EDT
Created attachment 127654 [details]
New specfile

Here the new specfile.
Comment 8 Ryo Dairiki 2006-04-12 09:41:09 EDT
It've found that scim-anthy needs the same trick too.
Maybe scim-pinyin does too.
Comment 9 Ryo Dairiki 2006-04-15 02:31:09 EDT
I've tested this trick these few days, bug found no problem at all.
I think we may close this post as solved.
Please apply that trick on all the scim* packages, and then close this bugzilla.
Comment 12 Fedora Update System 2006-05-12 00:29:11 EDT
libstdc++so7-4.2.0-0.3.20060428.fc5.1 scim-1.4.4-9.2.fc5 scim-anthy-1.0.0-1.fc5.1 scim-chewing-0.2.1-5.2 scim-hangul-0.2.2-1.fc5.1 scim-m17n-0.2.0-2.1 scim-pinyin-0.5.91-4.4 scim-tables-0.5.6-3.1 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 13 Fedora Update System 2006-05-14 13:14:52 EDT
libstdc++so7-4.2.0-0.3.20060428.fc5.1 scim-1.4.4-9.2.fc5 scim-anthy-1.0.0-1.fc5.1 scim-chewing-0.2.1-5.2 scim-hangul-0.2.2-1.fc5.1 scim-m17n-0.2.0-2.1 scim-pinyin-0.5.91-4.4 scim-tables-0.5.6-3.1 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 14 Jens Petersen 2006-05-16 04:15:10 EDT
Note the FC5 updates for this are in currently in "testing".
They can be installed with something like:

# yum --enablerepo=updates-testing upgrade scim-anthy
Comment 15 Fedora Update System 2006-05-18 20:55:25 EDT
libstdc++so7-4.2.0-0.3.20060428.fc5.1 scim-1.4.4-9.2.fc5 scim-anthy-1.0.0-1.fc5.1 scim-chewing-0.2.1-5.2 scim-hangul-0.2.2-1.fc5.1 scim-m17n-0.2.0-2.1 scim-pinyin-0.5.91-4.4 scim-tables-0.5.6-3.1 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.